Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class PluginCapabilitiesInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.PluginCapabilitiesInfo

public final class PluginCapabilitiesInfo
extends java.lang.Object
implements java.io.Serializable

Provides information about a plugin's capabilities. The class describes the full plugin's capabilities when it is in the `loaded` state. The plugin's capabilities prior to being loaded are described by the `PluginInfo` object.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`PluginCapabilitiesInfo(PluginInfo info, ActionCategoryInfo[] actions, EventInfo[] events, FieldInfo[] fields, FunctionInfo[] functions, StartInfo[] starts, DoneInfo[] dones, VariableTypeInfo[] variableTypes, TemplatePropertiesInfo template, TemplateDefinitionPropertiesInfo templateDefinition, EventHandlerInfo eventHandler)` Create a new PluginCapabilitiesInfo.

Method Summary
`ActionCategoryInfo[]` | `getActionInfo()` Return the list of categories and actions provided by this plugin.
`DoneInfo[]` | `getDoneInfo()` Return the list of done node types provided by this plugin.
`EventHandlerInfo` | `getEventHandlerInfo()` Return information about the plugin-provided event handler.
`EventInfo[]` | `getEventInfo()` Return the list of event types provided by this plugin.
`FieldInfo[]` | `getFieldInfo()` Return the list of field types provided by this plugin.
`FunctionInfo[]` | `getFunctionInfo()` Return the list of evaluator functions provided by this plugin.
`PluginInfo` | `getPluginInfo()` Return the basic plugin information.
`StartInfo[]` | `getStartInfo()` Return the list of start types provided by this plugin.
`TemplateDefinitionPropertiesInfo` | `getTemplateDefinitionInfo()` Return the plugin-defined template definition properties.
`TemplatePropertiesInfo` | `getTemplateInfo()` Return the plugin-defined template properties, if any.
`VariableTypeInfo[]` | `getVariableTypeInfo()` Return the list of variable types provided by this plugin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginCapabilitiesInfo

    public PluginCapabilitiesInfo(PluginInfo info,
                                  ActionCategoryInfo[] actions,
                                  EventInfo[] events,
                                  FieldInfo[] fields,
                                  FunctionInfo[] functions,
                                  StartInfo[] starts,
                                  DoneInfo[] dones,
                                  VariableTypeInfo[] variableTypes,
                                  TemplatePropertiesInfo template,
                                  TemplateDefinitionPropertiesInfo templateDefinition,
                                  EventHandlerInfo eventHandler)

  Create a new PluginCapabilitiesInfo.

  Parameters:
    `info` - The basic Plugin information.
    `actions` - A list of the actions and action categories provided by this plugin, if any.
    `events` - A list of the event types provided by this plugin, if any.
    `fields` - A list of the field types provided by this plugin, if any.
    `functions` - A list of the evaluator functions provided by this plugin, if any.
    `starts` - A list of the start types provided by this plugin, if any.
    `dones` - A list of the done node propeties provided by this plugin, if any.
    `variableTypes` - A list of the variable types provided by this plugin, if any.
    `template` - The template properties provided by this plugin, if any.
    `templateDefinition` - The template definition properties provided by this plugin, if any.
    `eventHandler` - The event handler provided by this plugin, if any.

Method Detail

### getPluginInfo

    public PluginInfo getPluginInfo()

  Return the basic plugin information.

  Returns:
    Plugin information.

### getActionInfo

    public ActionCategoryInfo[] getActionInfo()

  Return the list of categories and actions provided by this plugin.

  Returns:
    Plugin actions and categories.

### getDoneInfo

    public DoneInfo[] getDoneInfo()

  Return the list of done node types provided by this plugin.

  Returns:
    Plugin done types.

### getEventInfo

    public EventInfo[] getEventInfo()

  Return the list of event types provided by this plugin.

  Returns:
    Plugin event types.

### getFieldInfo

    public FieldInfo[] getFieldInfo()

  Return the list of field types provided by this plugin.

  Returns:
    Plugin field types.

### getFunctionInfo

    public FunctionInfo[] getFunctionInfo()

  Return the list of evaluator functions provided by this plugin.

  Returns:
    Plugin functions.

### getStartInfo

    public StartInfo[] getStartInfo()

  Return the list of start types provided by this plugin.

  Returns:
    Plugin start types.

### getVariableTypeInfo

    public VariableTypeInfo[] getVariableTypeInfo()

  Return the list of variable types provided by this plugin.

  Returns:
    Plugin variable types.

### getTemplateInfo

    public TemplatePropertiesInfo getTemplateInfo()

  Return the plugin-defined template properties, if any.

  Returns:
    Plugin template properties.

### getTemplateDefinitionInfo

    public TemplateDefinitionPropertiesInfo getTemplateDefinitionInfo()

  Return the plugin-defined template definition properties.

  Returns:
    Plugin template definition properties.

### getEventHandlerInfo

    public EventHandlerInfo getEventHandlerInfo()

  Return information about the plugin-provided event handler.

  Returns:
    Plugin event handler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)